Debian Bug report logs - #460604
liblinux-lvm-perl: fails to parse lvm2 command output

version graph

Package: liblinux-lvm-perl; Maintainer for liblinux-lvm-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for liblinux-lvm-perl is src:liblinux-lvm-perl.

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Sun, 13 Jan 2008 23:30:02 UTC

Severity: grave

Tags: patch

Found in version liblinux-lvm-perl/0.13-1

Fixed in version liblinux-lvm-perl/0.13-2

Done: Gunnar Wolf <gwolf@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=32292

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, jeremiah@jeremiahfoster.com (Jeremiah C. Foster):
Bug#460604; Package liblinux-lvm-perl. Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, jeremiah@jeremiahfoster.com (Jeremiah C. Foster). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: liblinux-lvm-perl: fails to parse lvm2 command output
Date: Sun, 13 Jan 2008 18:26:29 -0500
Package: liblinux-lvm-perl
Version: 0.13-1
Severity: grave
Justification: renders package unusable (useless)

AFAICT, this module operates by parsing the output of vgdisplay et
al., presumably to cope with lvm's lack of an actual API for custom
clients.  However, it fails to account for the fact that every line of
said output now (for whatever reason) begins with a pair of spaces,
and therefore never returns any actual information. :-/

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.23.10 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages liblinux-lvm-perl depends on:
ii  perl                          5.8.8-12   Larry Wall's Practical Extraction 

liblinux-lvm-perl recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, jeremiah@jeremiahfoster.com (Jeremiah C. Foster):
Bug#460604; Package liblinux-lvm-perl. Full text and rfc822 format available.

Acknowledgement sent to "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>:
Extra info received and forwarded to list. Copy sent to jeremiah@jeremiahfoster.com (Jeremiah C. Foster). Full text and rfc822 format available.

Message #10 received at 460604@bugs.debian.org (full text, mbox):

From: "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>
To: 460604@bugs.debian.org
Subject: Re: liblinux-lvm-perl: fails to parse lvm2 command output
Date: Tue, 15 Jan 2008 10:33:30 +0100


Forwarded this bug to rt on CPAN:
http://rt.cpan.org/Public/Bug/Display.html?id=32292 

thanks

I am also going to look more closely at the code to see if this is an
easy fix.

Jeremiah 




Noted your statement that Bug has been forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=32292. Request was from Martín Ferrari <martin.ferrari@gmail.com> to control@bugs.debian.org. (Tue, 22 Jan 2008 16:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, jeremiah@jeremiahfoster.com (Jeremiah C. Foster):
Bug#460604; Package liblinux-lvm-perl. Full text and rfc822 format available.

Acknowledgement sent to jeremiah@jeremiahfoster.com:
Extra info received and forwarded to list. Copy sent to jeremiah@jeremiahfoster.com (Jeremiah C. Foster). Full text and rfc822 format available.

Message #17 received at 460604@bugs.debian.org (full text, mbox):

From: jeremiah@jeremiahfoster.com
To: ckerner@cpan.org
Cc: 460604@bugs.debian.org
Subject: LVM2 apparently breaks you linux-lvm perl module
Date: Sat, 1 Mar 2008 19:47:29 +0100
Hello Chad,

My name is Jeremiah Foster and I work with the debian-perl team. We  
package perl modules for debian. Recently, a bug came in through  
debian's bug tracking system regarding your linux-lvm perl module.  
Here is a link to the bug report: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=460604

I also sent a bug report into CPAN's bug tracking system:  http://rt.cpan.org/Public/Bug/Display.html?id=32292

Essentially the bug report say that changes in what appears to be the  
format of LVM2 renders the linux-lvm module unusable. If you have time  
perhaps you might want to look at this. If you can put together a fix  
I can make sure the fix finds its way into debian.

I realize you may be busy and not have time to look at this, any time  
you can spend on it will be appreciated by those who use your software  
however, and there appear to be users, at least in debian.

	Warm regards,

	Jeremiah Foster

	jeremiah@cpan.org
	jeremiah@jeremiahfoster.com






Information forwarded to debian-bugs-dist@lists.debian.org, jeremiah@jeremiahfoster.com (Jeremiah C. Foster):
Bug#460604; Package liblinux-lvm-perl. Full text and rfc822 format available.

Acknowledgement sent to Chad Kerner <ckerner@ncsa.uiuc.edu>:
Extra info received and forwarded to list. Copy sent to jeremiah@jeremiahfoster.com (Jeremiah C. Foster). Full text and rfc822 format available.

Message #22 received at 460604@bugs.debian.org (full text, mbox):

From: Chad Kerner <ckerner@ncsa.uiuc.edu>
To: jeremiah@jeremiahfoster.com
Cc: ckerner@cpan.org, 460604@bugs.debian.org
Subject: Re: LVM2 apparently breaks you linux-lvm perl module
Date: Tue, 11 Mar 2008 08:18:27 -0500 (CDT)
I am currently working on a rewrite of the entire thing.  I'll update as 
soon as I have a decent base.

Thanks!
Chad

On Sat, 1 Mar 2008, jeremiah@jeremiahfoster.com wrote:

> Hello Chad,
>
> My name is Jeremiah Foster and I work with the debian-perl team. We package 
> perl modules for debian. Recently, a bug came in through debian's bug 
> tracking system regarding your linux-lvm perl module. Here is a link to the 
> bug report: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=460604
>
> I also sent a bug report into CPAN's bug tracking system: 
> http://rt.cpan.org/Public/Bug/Display.html?id=32292
>
> Essentially the bug report say that changes in what appears to be the format 
> of LVM2 renders the linux-lvm module unusable. If you have time perhaps you 
> might want to look at this. If you can put together a fix I can make sure the 
> fix finds its way into debian.
>
> I realize you may be busy and not have time to look at this, any time you can 
> spend on it will be appreciated by those who use your software however, and 
> there appear to be users, at least in debian.
>
> 	Warm regards,
>
> 	Jeremiah Foster
>
> 	jeremiah@cpan.org
> 	jeremiah@jeremiahfoster.com
>




Information forwarded to debian-bugs-dist@lists.debian.org, jeremiah@jeremiahfoster.com (Jeremiah C. Foster):
Bug#460604; Package liblinux-lvm-perl. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to jeremiah@jeremiahfoster.com (Jeremiah C. Foster). Full text and rfc822 format available.

Message #27 received at 460604@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: 460604@bugs.debian.org, control@bugs.debian.org
Subject: Re: liblinux-lvm-perl: fails to parse lvm2 command output
Date: Mon, 26 May 2008 12:28:51 -0500
[Message part 1 (text/plain, inline)]
tags 460604 + patch
thanks

Patch attached.

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF
[process_whitespace_in_command_output (text/plain, attachment)]

Tags added: patch Request was from Gunnar Wolf <gwolf@gwolf.org> to control@bugs.debian.org. (Mon, 26 May 2008 17:30:07 GMT) Full text and rfc822 format available.

Reply sent to Gunnar Wolf <gwolf@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 460604-close@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@debian.org>
To: 460604-close@bugs.debian.org
Subject: Bug#460604: fixed in liblinux-lvm-perl 0.13-2
Date: Mon, 26 May 2008 17:32:02 +0000
Source: liblinux-lvm-perl
Source-Version: 0.13-2

We believe that the bug you reported is fixed in the latest version of
liblinux-lvm-perl, which is due to be installed in the Debian FTP archive:

liblinux-lvm-perl_0.13-2.diff.gz
  to pool/main/libl/liblinux-lvm-perl/liblinux-lvm-perl_0.13-2.diff.gz
liblinux-lvm-perl_0.13-2.dsc
  to pool/main/libl/liblinux-lvm-perl/liblinux-lvm-perl_0.13-2.dsc
liblinux-lvm-perl_0.13-2_all.deb
  to pool/main/libl/liblinux-lvm-perl/liblinux-lvm-perl_0.13-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 460604@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gunnar Wolf <gwolf@debian.org> (supplier of updated liblinux-lvm-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 26 May 2008 12:18:54 -0500
Source: liblinux-lvm-perl
Binary: liblinux-lvm-perl
Architecture: source all
Version: 0.13-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Gunnar Wolf <gwolf@debian.org>
Description: 
 liblinux-lvm-perl - Perl extension for accessing Logical Volume Manager(LVM)
Closes: 460604
Changes: 
 liblinux-lvm-perl (0.13-2) unstable; urgency=low
 .
   * Added myself as an uploader
   * Bumped up standards-version to 3.7.3 (no changes needed)
   * Patched to accept (and ignore) leading whitespace from the external
     command output (Closes: #460604)
   * Added the pkg-perl group as the maintainer; Jeremiah joins me as an
     uploader.
Checksums-Sha1: 
 fde0b2e4c3fd9d2c1a5bc0a66f890f471e39b0b5 1364 liblinux-lvm-perl_0.13-2.dsc
 b27801f1fc0dea503269b70c3a1956a79e755ca1 3984 liblinux-lvm-perl_0.13-2.diff.gz
 4a1fe180f8da25118d9b56e4a7617af9bbb8a813 12120 liblinux-lvm-perl_0.13-2_all.deb
Checksums-Sha256: 
 d0ee5be22bc8a2128457656f321d1867fff2937f926bc92a915a7f3815a025fc 1364 liblinux-lvm-perl_0.13-2.dsc
 6a02485dc44141557cb819371b08eacc9231b266a1b366b073979e6718ba0af2 3984 liblinux-lvm-perl_0.13-2.diff.gz
 8a25c5ba8a56d3bce5d886a3a3188d3f721dc19b536e7374fa59f1259c871443 12120 liblinux-lvm-perl_0.13-2_all.deb
Files: 
 60b8931c956e114d40b90b54f287ee05 1364 perl optional liblinux-lvm-perl_0.13-2.dsc
 35b8e3fbac65e351b05a640b9fd10a50 3984 perl optional liblinux-lvm-perl_0.13-2.diff.gz
 3b1dca615ca2c20300b6d300c36d7fe3 12120 perl optional liblinux-lvm-perl_0.13-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIOvFm2A7zWou1J68RAixfAJ47+hveakgridfqa7E6b7XKpXZwZQCgh9Vk
I8EZlXvFdLb9IqEXVuzfhIA=
=K0F1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Jul 2008 07:26:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:27:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.